Public Member Functions | Private Attributes | List of all members
libebook::FictionBook2Style Class Reference

`#include <FictionBook2Style.h>`

## Public Member Functions
| FictionBook2Style (const FictionBook2BlockFormat &blockFormat)
FictionBook2TextFormat & | getTextFormat ()
const FictionBook2TextFormat & | getTextFormat () const
const FictionBook2BlockFormat & | getBlockFormat () const

## Private Attributes
FictionBook2TextFormat | m_textFormat
const FictionBook2BlockFormat | m_blockFormat

## Constructor & Destructor Documentation

## ◆ FictionBook2Style()

libebook::FictionBook2Style::FictionBook2Style | ( | const FictionBook2BlockFormat & | blockFormat | ) |
| explicit

## Member Function Documentation

## ◆ getBlockFormat()

const FictionBook2BlockFormat & libebook::FictionBook2Style::getBlockFormat | ( |  | ) | const

## ◆ getTextFormat() [1/2]

FictionBook2TextFormat & libebook::FictionBook2Style::getTextFormat | ( |  | ) |

Referenced by libebook::FictionBook2StyleContextBase::attribute(), and libebook::FictionBook2StyleContextBase::getTextFormat().

## ◆ getTextFormat() [2/2]

const FictionBook2TextFormat & libebook::FictionBook2Style::getTextFormat | ( |  | ) | const

## Member Data Documentation

## ◆ m_blockFormat

const FictionBook2BlockFormat libebook::FictionBook2Style::m_blockFormat
| private

Referenced by getBlockFormat().

## ◆ m_textFormat

FictionBook2TextFormat libebook::FictionBook2Style::m_textFormat
| private

Referenced by getTextFormat(), and getTextFormat().

The documentation for this class was generated from the following files:

- FictionBook2Style.h
- FictionBook2Style.cpp